Bug 1391321 - the job logs are not displayed as "bouncer" urls in the JUnit XML output
Summary: the job logs are not displayed as "bouncer" urls in the JUnit XML output
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: matt jia
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-03 04:22 UTC by matt jia
Modified: 2017-02-21 18:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:49:09 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matt jia 2016-11-03 04:22:33 UTC
Description of problem:

The job logs should be displayed as "bouncer" urls in the JUnit XML output.


Version-Release number of selected component (if applicable):

Always

How reproducible:

Easy

Steps to Reproduce:
1. see the Junit XML output of a complete job.
2. check the url of the job logs.

Actual results:

The url of each log is not a stable "bouncer" url.

Expected results:

The url of each log should be a stable "bouncer" url.

Additional info:

See https://bugzilla.redhat.com/show_bug.cgi?id=1291130 to get the idea of what a "bouncer" url should be.

Comment 2 matt jia 2016-11-04 01:09:09 UTC
On Gerrit:

  https://gerrit.beaker-project.org/#/c/5400/

Comment 3 Roman Joost 2016-12-05 04:58:28 UTC
This bug fix is included in beaker-server-24.0-0.git.204.bf63e0d which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 7 Dan Callaghan 2017-02-21 18:49:09 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.